#
# spec file for package python-cloudfiles
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-cloudfiles
Version:        1.7.10
Release:        bp153.1.15
Url:            https://github.com/rackspace/python-cloudfiles
Summary:        Bindings for Rackspace CloudFiles API
License:        MIT
Group:          Development/Libraries/Python
Source0:        http://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  python-devel
# Test requirements:
# NOTE(saschpe): 'python' is necessary for the ssl module:
BuildRequires:  python
BuildRequires:  python-httplib2
BuildRequires:  python-nose
BuildRequires:  python-setuptools
Requires:       python-httplib2
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Python language bindings for Rackspace CloudFiles API.

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}

%check
nosetests

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING docs
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Mar 13 2013 speilicke@suse.com
- BuildRequire 'python' to have the ssl module available
  + Fixes SLE builds
* Wed Apr  4 2012 saschpe@suse.de
- Update to version 1.7.10:
  * Various bug fixes.
- No need for --skip-build in %%install section, distribute is smart enough
- Removed obsolete SUSE version checks
- New runtime requirement: httplib2
* Fri Feb 24 2012 berendt@b1-systems.de
- replace build requirement python-setuptools with python-distribute to
  be able to build packages for SLE
* Tue Feb 21 2012 awafaa@opensuse.org
- Update to version 1.7.9.3
  * 1.7.9.3: Added CDN Streaming Support
  * 1.7.9.2: Added Manifest support for Large Objects
* Tue May 17 2011 saschpe@suse.de
- Spec file cleanup:
  * Add some suse version checks for fdupes and %%py_requires
  * Use new Python macros %%{python_site*}
  * Fix preamble indentation
  * Package documentation
* Mon May 16 2011 awafaa@opensuse.org
- Initial import for openSUSE version 1.7.9.1
